Skip to content

Create a Credit Information User Registration

Request

This API validates a users personal information which if successful will retrieve their credit profile.

Security
Bearer(Required scopes: api:cis)
Body

User request details.

customerReferencestring, non-emptyrequired

Customer reference for the user in the Atto Credit Information Journey

titlestring, [ 2 .. 30 ] characters^[a-zA-Z ‘]+$required

The title of the user (e.g., Mr, Mrs, Ms, Dr).

firstNamestring, [ 1 .. 30 ] characters^[a-zA-Z ‘-]+$required

The first name of the user.

middleNamesstring or null, [ 1 .. 30 ] characters^[a-zA-Z ‘-]+$

The middle names of the user (optional).

lastNamestring, [ 2 .. 30 ] characters^[a-zA-Z ‘-]+$required

The last name of the user.

dateOfBirthstring, (date-time)required

The date of birth of the user, which must be between 18 and 120 years ago.

phoneNumberstring, non-emptyrequired

The phone number of the user, which must be in a valid phone format.

emailAddressstring, (email), [ 5 .. 255 ] charactersrequired

The email address of the user, which must be in a valid email format and between 5 and 255 characters long.

addressobject(Atto.ConnectAPI.Service.Models.User.ApiAddress)required

Address of a User

previousAddressobject(Atto.ConnectAPI.Service.Models.User.ApiAddress)

Address of a User

curl -i -X POST \
  https://uk.api.atto.co/connect/users/v1/verification \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "customerReference": "customer_reference_123",
    "title": "Mr",
    "firstName": "John",
    "middleNames": "Michael",
    "lastName": "Doe",
    "dateOfBirth": "1990-05-15T00:00:00",
    "phoneNumber": "07716885147",
    "emailAddress": "JMD90@gmail.com",
    "address": {
      "abodeNumber": null,
      "buildingName": null,
      "buildingNumber": "123",
      "address1": "Main Street",
      "address2": "Apt 4B",
      "address3": null,
      "town": "London",
      "postCode": "SW1A 1AA"
    },
    "previousAddress": {
      "abodeNumber": "Flat 12",
      "buildingName": null,
      "buildingNumber": "456",
      "address1": "High Street",
      "address2": null,
      "address3": null,
      "town": "Manchester",
      "postCode": "M1 2AB"
    }
  }'

Responses

Returns the registration details.

Bodyapplication/json
statusstring(Atto.ConnectAPI.Service.Models.User.Status)
Enum:"Success""Failed"
messagestring or null
userIdstring or null, (uuid)
consentIdstring or null, (uuid)
customerReferencestring or null
Response
{ "status": "Success", "message": "User verification successful", "userId": "a0d4bcfb-daba-427a-9ce1-0cd6e53d2625", "consentId": "2296e344-5238-4249-20f0-08dd8d44a444", "customerReference": "customer_reference_123" }